Make-initrd development discussion
 help / color / mirror / Atom feed
From: Leonid Krivoshein <klark.devel@gmail.com>
To: make-initrd@lists.altlinux.org
Subject: [make-initrd] [PATCH v1 27/41] fork pipeline: bootchain-sh-functions modified
Date: Fri, 24 Sep 2021 18:58:15 +0300
Message-ID: <9417a793-7463-91f8-c14c-398233116c53@gmail.com> (raw)

---
  .../bootchain-core/data/bin/bootchain-sh-functions  | 13 ++++++-------
  1 file changed, 6 insertions(+), 7 deletions(-)

diff --git 
a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions 
b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
index 07a059a..5c5a9fb 100644
--- a/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
+++ b/make-initrd/features/bootchain-core/data/bin/bootchain-sh-functions
@@ -1,13 +1,12 @@
  #!/bin/bash -efu
  -if [ -z "${__pipeline_sh_functions-}" ]; then
-__pipeline_sh_functions=1
+if [ -z "${__bootchain_sh_functions-}" ]; then
+__bootchain_sh_functions=1
   . /.initrd/initenv
  . shell-signal
  -handlerdir="/lib/pipeline"
-mntdir="/dev/pipeline"
+handlerdir=/lib/bootchain
   check_parameter()
  {
@@ -44,8 +43,8 @@ resolve_target()
   run()
  {
-	[ -z "${DEBUG-}" ] || message "[$callnum] RUN: $*"
-	"$@"
+	debug "RUN: $*"
+	"$@" || return $?
  }
  -fi # __pipeline_sh_functions
+fi # __bootchain_sh_functions
-- 
2.21.0




                 reply	other threads:[~2021-09-24 15:58 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=9417a793-7463-91f8-c14c-398233116c53@gmail.com \
    --to=klark.devel@gmail.com \
    --cc=make-initrd@lists.altlinux.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Make-initrd development discussion

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/make-initrd/0 make-initrd/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 make-initrd make-initrd/ http://lore.altlinux.org/make-initrd \
		make-initrd@lists.altlinux.org make-initrd@lists.altlinux.ru make-initrd@lists.altlinux.com
	public-inbox-index make-initrd

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.make-initrd


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git